Bug 439635 - error when downloading packages
error when downloading packages
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
: 447124 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-29 17:30 EDT by Jakub 'Livio' Rusinek
Modified: 2014-01-21 18:02 EST (History)
6 users (show)

See Also:
Fixed In Version: yum-3.2.18-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-07 15:53:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jakub 'Livio' Rusinek 2008-03-29 17:30:59 EDT
Description of problem:
yum downloaded few packages, then 404 appeared on few servers and I saw message,
which I don't understand (you may understand, because you have to do with python
everyday ;) ).

output below is from yum ran second time to ensure if this wasn't yum's will.

$ yum --enable development update cairo gnome-audio gnome-backgrounds
gnome-icon-theme gtkhtml2 gtkhtml3 gwget liberation-fonts mgopen-fonts nautilus
nautilus-extensions pigment wine-core 
Ustawianie procesu aktualizacji
Rozwiązywanie zależności
--> Uruchamianie sprawdzania transakcji
---> Pakiet gnome-audio.noarch 0:2.22.1-1 ustawiony do zaktualizowania
---> Pakiet nautilus.i386 0:2.22.1-1.fc9 ustawiony do zaktualizowania
---> Pakiet wine-core.i386 0:0.9.58-1.fc9 ustawiony do zaktualizowania
---> Pakiet pigment.i386 0:0.3.5-1.fc9 ustawiony do zaktualizowania
--> Przetwarzanie zależności: cairo = 1.4.14-1.fc8 dla pakietu: cairo-devel
---> Pakiet gwget.i386 0:0.99-5.fc9 ustawiony do zaktualizowania
---> Pakiet mgopen-fonts.noarch 0:0.20050515-6.fc9 ustawiony do zaktualizowania
---> Pakiet gtkhtml3.i386 0:3.18.0-1.fc9 ustawiony do zaktualizowania
---> Pakiet gnome-icon-theme.noarch 0:2.22.0-4.fc9 ustawiony do zaktualizowania
---> Pakiet nautilus-extensions.i386 0:2.22.1-1.fc9 ustawiony do zaktualizowania
---> Pakiet liberation-fonts.noarch 0:1.0-3.fc9 ustawiony do zaktualizowania
---> Pakiet gtkhtml2.i386 0:2.11.1-3.fc9 ustawiony do zaktualizowania
---> Pakiet cairo.i386 0:1.5.14-1.fc9 ustawiony do zaktualizowania
--> Przetwarzanie zależności: libpixman-1.so.0 dla pakietu: cairo
---> Pakiet gnome-backgrounds.noarch 0:2.22.0-1.fc9 ustawiony do zaktualizowania
--> Uruchamianie sprawdzania transakcji
---> Pakiet cairo-devel.i386 0:1.5.14-1.fc9 ustawiony do zaktualizowania
--> Przetwarzanie zależności: pixman-devel >= 0.9.6 dla pakietu: cairo-devel
---> Pakiet pixman.i386 0:0.9.6-4.fc9 ustawiony do zaktualizowania
--> Uruchamianie sprawdzania transakcji
---> Pakiet pixman-devel.i386 0:0.9.6-4.fc9 ustawiony do zaktualizowania
--> Zakończono rozwiązywanie zależności

Rozwiązano zależności

=============================================================================
 Pakiet                  Architektura  Wersja           Repozytorium      Rozmiar
=============================================================================
Aktualizowanie:
 cairo                   i386       1.5.14-1.fc9     development       517 k
 cairo-devel             i386       1.5.14-1.fc9     development       158 k
 gnome-audio             noarch     2.22.1-1         development       953 k
 gnome-backgrounds       noarch     2.22.0-1.fc9     development       1.0 M
 gnome-icon-theme        noarch     2.22.0-4.fc9     development       4.4 M
 gtkhtml2                i386       2.11.1-3.fc9     development       189 k
 gtkhtml3                i386       3.18.0-1.fc9     development       954 k
 gwget                   i386       0.99-5.fc9       development       238 k
 liberation-fonts        noarch     1.0-3.fc9        development       1.1 M
 mgopen-fonts            noarch     0.20050515-6.fc9  development       924 k
 nautilus                i386       2.22.1-1.fc9     development       5.0 M
 nautilus-extensions     i386       2.22.1-1.fc9     development        42 k
 pigment                 i386       0.3.5-1.fc9      development       183 k
 wine-core               i386       0.9.58-1.fc9     development        10 M
Instalowanie zależności:
 pixman                  i386       0.9.6-4.fc9      development        93 k
 pixman-devel            i386       0.9.6-4.fc9      development       8.9 k

Podsumowanie transakcji
=============================================================================
Instalowanie       2 pakietów     
Aktualizowanie    14 pakietów     
Usuwanie           0 pakietów     

Całkowity rozmiar: 26 M
Całkowity rozmiar pobierania: 3.0 M
W porządku? [y/N]: y
Pobieranie pakietów:
http://ftp.ps.pl/pub/Linux/fedora-linux/development/i386/os/Packages/nautilus-extensions-2.22.1-1.fc9.i386.rpm:
[Errno 14] HTTP Error 404: Not Found
Próbowanie innego serwera lustrzanego.
http://sunsite.icm.edu.pl/pub/Linux/fedora/linux/development/i386/os/Packages/nautilus-extensions-2.22.1-1.fc9.i386.rpm:
[Errno 14] HTTP Error 404: Not Found
Próbowanie innego serwera lustrzanego.
http://ftp.wsisiz.edu.pl/pub/linux/fedora/linux/development/i386/os/Packages/nautilus-extensions-2.22.1-1.fc9.i386.rpm:
[Errno 14] HTTP Error 404: Not Found
Próbowanie innego serwera lustrzanego.
(1/6): nautilus-extensions-2.22.1-1.fc9.i386.rpm                   0 B 00:00 
Traceback (most recent call last):
  File "/usr/bin/yum", line 29, in <module>
    yummain.user_main(sys.argv[1:], exit_code=True)
  File "/usr/share/yum-cli/yummain.py", line 236, in user_main
    errcode = main(args)
  File "/usr/share/yum-cli/yummain.py", line 188, in main
    base.doTransaction()
  File "/usr/share/yum-cli/cli.py", line 352, in doTransaction
    problems = self.downloadPkgs(downloadpkgs) 
  File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 1075, in
downloadPkgs
    cache=po.repo.http_caching != 'none',
  File "/usr/lib/python2.5/site-packages/yum/yumRepo.py", line 666, in getPackage
    cache=cache
  File "/usr/lib/python2.5/site-packages/yum/yumRepo.py", line 644, in _getFile
    http_headers=headers,
  File "/usr/lib/python2.5/site-packages/urlgrabber/mirror.py", line 412, in urlgrab
    return self._mirror_try(func, url, kw)
  File "/usr/lib/python2.5/site-packages/urlgrabber/mirror.py", line 398, in
_mirror_try
    return func_ref( *(fullurl,), **kwargs )
  File "/usr/lib/python2.5/site-packages/urlgrabber/grabber.py", line 928, in
urlgrab
    return self._retry(opts, retryfunc, url, filename)
  File "/usr/lib/python2.5/site-packages/urlgrabber/grabber.py", line 863, in _retry
    cb_func(obj, *cb_args, **cb_kwargs)
  File "/usr/share/yum-cli/output.py", line 239, in failureReport
    self.logger.error('%s: %s', errobj.url, str(errobj.exception))
UnicodeEncodeError: 'ascii' codec can't encode character u'\u0119' in position
31: ordinal not in range(128)
Comment 1 Bug Zapper 2008-05-14 04:25:02 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Jeremy Katz 2008-06-12 14:49:39 EDT
Can you still reproduce this with yum-3.2.16?
Comment 3 James Antill 2008-08-07 15:53:01 EDT
 This line is now:

        self.logger.error('%s: %s', errobj.url, errobj.exception)

...which will fail differently, if it fails.
Comment 4 James Antill 2008-08-07 18:24:21 EDT
*** Bug 447124 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.